Bug 161033 - loading snd_intel8x0m breaks sound with snd_intel8x0 module
loading snd_intel8x0m breaks sound with snd_intel8x0 module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-19 23:32 EDT by Alison Stewart
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 14:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci output (1.74 KB, text/plain)
2005-06-19 23:35 EDT, Alison Stewart
no flags Details
lsmod output (2.12 KB, text/plain)
2005-06-19 23:36 EDT, Alison Stewart
no flags Details

  None (edit)
Description Alison Stewart 2005-06-19 23:32:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After installing FC4 on a system with an Intel AC'97 sound card, sound didn't work.  We tried fiddling with alsamixer, but nothing was muted, all levels were normal.  Sound worked fine under Ubuntu, so we compared modules between Ubuntu and FC4.

Unloading the snd_intel8x0m module, then unloading and reloading the snd_intel8x0 module got sound working again.  We blacklisted the snd_intel8x0m module, and that fixed the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC4

Actual Results:  sound didn't work.

Expected Results:  sound should have worked.

Additional info:
Comment 1 Alison Stewart 2005-06-19 23:35:31 EDT
Created attachment 115669 [details]
lspci output
Comment 2 Alison Stewart 2005-06-19 23:36:21 EDT
Created attachment 115670 [details]
lsmod output
Comment 3 Barsalou 2005-06-30 04:30:16 EDT
I can confirm this with and hpze4900 with snd_intel8x0m module loaded. 
Blacklisting the module in the /etc/hotplug/blacklist file resolves the problem.
Comment 4 John W. Linville 2005-07-08 10:56:33 EDT
Please attach the output of running "sysreport"...thanks! 
Comment 5 Dave Jones 2005-07-15 17:13:29 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 6 Alison Stewart 2005-07-15 18:19:08 EDT
If someone else can test the new update, that would be good -- I don't have time
right now to break my system again and fiddle with it.  :)
Comment 7 John W. Linville 2005-07-29 11:15:51 EDT
Still waiting on output of sysreport, and on results of testing the latest 
kernel update... 
Comment 8 John W. Linville 2005-09-16 14:35:30 EDT
Closed due to lack of response.  Please re-open when the requested information 
becomes available...thanks! 

Note You need to log in before you can comment on or make changes to this bug.